#!/bin/sh
# by xrado

PACKAGE=zenshot
VERSION=0.6
ARCH=noarch
BUILD=60.1

CWD=`pwd`
TMP=$CWD
PKG=$TMP/package-$PACKAGE

rm -rf $PKG
mkdir -p $PKG
#cd /tmp
rm -rf $PACKAGE-$VERSION
tar xzvf $CWD/$PACKAGE-$VERSION.tar.gz || exit
cd $PACKAGE-$VERSION || exit
chown -R root.root .
find . -perm 777 -exec chmod 755 {} \;
find . -perm 664 -exec chmod 644 {} \;

python setup.py build
python setup.py install --root $PKG

( cd $PKG
  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)

# Icon
mkdir -p $PKG/usr/share/icons/hicolor/48x48/apps
cd $PKG/usr/share/icons/hicolor/48x48/apps
ln -s ../../../../pixmaps/$PACKAGE.png $PACKAGE.png

# Add build script
mkdir -p $PKG/usr/src/$PACKAGE-$VERSION
cp $CWD/build-$PACKAGE.sh $PKG/usr/src/$PACKAGE-$VERSION

# Make a slack-desc file
mkdir -p $PKG/install
cat <<EOF > $PKG/install/slack-desc
        |-----handy-ruler------------------------------------------------------|
$PACKAGE: $PACKAGE - A simple screenshot tool
$PACKAGE:
$PACKAGE: Small and simple tool for capturing full screen image into jpeg
$PACKAGE: and png format.
$PACKAGE:
$PACKAGE: 
EOF

# Build the package
cd $PKG
makepkg -l y -c n ${TMP}/${PACKAGE}-${VERSION}-${ARCH}-${BUILD}.tgz
md5sum ${TMP}/${PACKAGE}-${VERSION}-${ARCH}-${BUILD}.tgz >${TMP}/${PACKAGE}-${VERSION}-${ARCH}-${BUILD}.md5
requiredbuilder -z ${TMP}/${PACKAGE}-${VERSION}-${ARCH}-${BUILD}.tgz > ${TMP}/${PACKAGE}-${VERSION}-${ARCH}-${BUILD}.dep

# src file
echo http://zenwalk.pinguix.com/user-accounts/bip/EXTRA/xap/zenshot/source/build-zenshot.sh > ../${PACKAGE}-${VERSION}-${ARCH}-${BUILD}.src
echo http://zenwalk.pinguix.com/user-accounts/bip/EXTRA/xap/zenshot/source/$PACKAGE-$VERSION.tar.gz >> ../${PACKAGE}-${VERSION}-${ARCH}-${BUILD}.src

# Clean up
rm -rf ${TMP}/${PACKAGE}-${VERSION}
rm -rf $PKG
